import { AfterContentInit, NgZone, OnChanges, OnDestroy } from '@angular/core';
import { MatTable } from '@angular/material/table';
import { FixedSizeTableVirtualScrollStrategy } from './fixed-size-table-virtual-scroll-strategy';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare function _tableVirtualScrollDirectiveStrategyFactory(tableDir: TableItemSizeDirective): FixedSizeTableVirtualScrollStrategy;
export declare class TableItemSizeDirective implements OnChanges, AfterContentInit, OnDestroy {
    private zone;
    private destroyed$;
    rowHeight: string | number;
    headerEnabled: boolean;
    headerHeight: string | number;
    footerEnabled: boolean;
    footerHeight: string | number;
    bufferMultiplier: string | number;
    table: MatTable<any>;
    scrollStrategy: FixedSizeTableVirtualScrollStrategy;
    dataSourceChanges: Subject<void>;
    private stickyPositions;
    constructor(zone: NgZone);
    ngOnDestroy(): void;
    private isStickyEnabled;
    ngAfterContentInit(): void;
    connectDataSource(dataSource: any): void;
    ngOnChanges(): void;
    setSticky(offset: number): void;
    private initStickyPositions;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableItemSizeDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TableItemSizeDirective, "cdk-virtual-scroll-viewport[tvsItemSize]", never, { "rowHeight": "tvsItemSize"; "headerEnabled": "headerEnabled"; "headerHeight": "headerHeight"; "footerEnabled": "footerEnabled"; "footerHeight": "footerHeight"; "bufferMultiplier": "bufferMultiplier"; }, {}, ["table"]>;
}
